import os
import sys

BBPYPATH = os.path.dirname(os.path.dirname(__file__))

if sys.platform == 'qnx6':
    
    os.environ['LD_LIBRARY_PATH'] = '/usr/lib/qt4/lib:%s' % os.path.join(BBPYPATH, 'lib')
    os.environ['QT_PLUGIN_PATH'] = '/usr/lib/qt4/plugins'
    os.environ['QML_IMPORT_PATH'] = 'qt/imports:/usr/lib/qt4/imports'    
    os.environ['QT_QPA_PLATFORM'] = 'blackberry'
    #os.environ['QML_IMPORT_PATH'] = 'blackberry'
    os.environ['M_THEME_DIR'] = '%s' % os.path.join(BBPYPATH, 'qt/themes')
    # add the bin directory so that the unrar binary can be used
    #sys.path.append(os.path.join(BBPYPATH, 'bin'))
    os.environ['PATH'] = "%s:%s" % (os.environ['PATH'], os.path.join(BBPYPATH, 'bin'))
    # as we don't need to override the path but just that the unrar binary is in path,
    # we append our bin direoctory, nor prepend as usual

    from pprint import pprint
    pprint(dict(os.environ))

from .app import Application

# launch telnet-based command line interface (CLI)
if '--cli' in sys.argv:
    try:
        from . import cli
    except ImportError:
        print('unable to import cli, ignoring --cli option', file=sys.stderr)
    else:
        import threading
        t = threading.Thread(target=cli.run)
        t.daemon = True
        t.start()


__all__ = ['Application']
